<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@version 2.0
@description  muestra una tabla con los trámites incluidos en una Comisión, y se da la opción de
    retirarlos de la misma
@cu CU-CO-A-04 CU-CO-A-07

@managedBean  TramitesDeComisionMB

@param  managedBeanParam  nombre del mb que se usa para invocar las acciones.
  Debe tener implementado los métodos:
    retirarTramitesComision

@param  thisWVNameParam  valor del atributo widgetvar que se usa para el dialog donde se incluye esta pantalla
-->

<!--
@modified  pedro.garcia  24-06-2013 adición de columna con link a las comisiones en las que ha estado
  cada trámite
-->
<!--
TODO :: pedro.garcia :: bloquear esta pantalla mientras se cargan los trámites, porque aparecen los
de la última consulta y el usuario podría hacer males mientras tanto 

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="tramitesComisionForm">

    <p:messages id="tramitesAsocComisionMsgs" showDetail="false" globalOnly="false" autoUpdate="true" />

    <p:spacer height="20" width="1"/>


    <h:panelGrid  id="tramitesComisionPG" width="100%">

        <h:panelGrid columns="2">
            <h:outputLabel value="Número de comisión: " styleClass="outputLabelStyle"/>
            <h:outputText value="#{tramitesDeComision.selectedVComision.numero}" styleClass="outputTextStyle"/>
        </h:panelGrid>

        <p:spacer height="15" width="0" />

        <p:dataTable id="tramitesComisionDT"
                     value="#{tramitesDeComision.tramitesAsociadosComision}"
                     var="currentTramiteCom"
                     rowKey="#{currentTramiteCom.id}"
                     paginator="true" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     paginatorPosition="bottom"
                     rowsPerPageTemplate="10,20,30"
                     selectionMode="multiple"
                     selection="#{tramitesDeComision.selectedTramitesComision}"
                     emptyMessage="No se encontraron trámites" widgetVar="tramitesComisionDTWV">

            <p:column headerText="Número de radicación">                
                <p:commandLink value="#{currentTramiteCom.numeroRadicacion}"
                               title="Ver detalles del trámite"
                               styleClass="commandLinkStyleInTable"
                               onstart="statusDialog2.show();"
                               oncomplete="detalleTramiteEjecutarWV.show(); statusDialog2.hide();"
                               update=":detalleTramiteEjecutarForm">
                    <f:setPropertyActionListener
                        value="#{currentTramiteCom}"
                        target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                </p:commandLink>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Fecha de<br/> radicación
                </f:facet>
                <h:outputText value="#{currentTramiteCom.fechaRadicacion}"
                              styleClass="outputTextStyleInTable">
                    <f:convertDateTime pattern="#{general.formatoFechaComponenteCalendar}" />
                </h:outputText>
            </p:column>

            <p:column headerText="Derecho Petición/Tutela: ">
                <p:commandLink styleClass="commandLinkStyleInTable"
                               oncomplete="detalleSolicitudWV.show();"
                               update=":detalleSolicitudEjecutarForm" process="@this">
                    <h:outputText
                        value="#{currentTramiteCom.formaPeticionTramite}" />
                    <f:setPropertyActionListener
                        value="#{currentTramiteCom.solicitud}"
                        target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                </p:commandLink>
            </p:column>

            <p:column headerText="Tipo de trámite">
                <h:outputText value="#{currentTramiteCom.tipoTramiteCadenaCompleto}"
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column headerText="Departamento">
                <h:outputText value="#{currentTramiteCom.departamento.nombre}"
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column headerText="Municipio">
                <h:outputText value="#{currentTramiteCom.municipio.nombre}"
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column headerText="Número predial">
                <h:outputText rendered="#{!currentTramiteCom.segundaEnglobe}"
                              value="#{currentTramiteCom.predio.numeroPredial}"
                              styleClass="outputTextStyleInTable"/>
                <p:dataList rendered="#{currentTramiteCom.segundaEnglobe}"
                            value="#{currentTramiteCom.tramitePredioEnglobes}"
                            var="predioEnglobe" itemType="square">
                    <h:outputText value="#{predioEnglobe.predio.formatedNumeroPredial}" 
                                  styleClass="outputTextStyleInTable" />
                </p:dataList>

            </p:column>

            <p:column headerText="Ejecutor">
                <h:outputText value="#{currentTramiteCom.funcionarioEjecutor}"
                              styleClass="outputTextStyleInTable"/>
            </p:column>


            <p:column>
                <f:facet name="header">
                    Número de<br/> comisiones
                </f:facet>
                <p:commandLink
                    value="_#{currentTramiteCom.numeroComisionesHaEstado}_"
                    rendered="#{currentTramiteCom.numeroComisionesHaEstado gt 0}"
                    title="Comisiones asociadas al trámite"
                    styleClass="commandLinkStyleInTable"
                    action="#{tramitesDeComision.consultarComisionesTramiteHaEstado}"
                    oncomplete="comisionesTramiteWV.show();"
                    update=":comisionesTramiteForm">
                    <f:setPropertyActionListener 
                        value="#{currentTramiteCom}"
                        target="#{tramitesDeComision.selectedTramiteComisionesTramite}" />
                </p:commandLink>
                <h:outputText value="0" 
                              rendered="#{currentTramiteCom.numeroComisionesHaEstado le 0}"
                              styleClass="outputTextStyleInTable"/>
            </p:column>


        </p:dataTable>

        <p:spacer width="0" height="30"/>

        <h:panelGrid columns="3" width="80%">
            <p:commandButton value="Retirar trámite(s) de comisión"
                             onstart="statusDialog2.show();"
                             action="#{managedBeanParam.retirarTramitesComision}"
                             rendered="#{tramitesDeComision.retirarTramiteButtonRendered}"
                             icon="ui-icon-minusthick"
                             onclick="if (tramitesComisionDTWV.selection.length === 0) {
                                         alert('Debe seleccionar al menos un trámite para retirar de la comisión!');
                                         return false;
                                     }"
                             update="tramitesComisionDT, tramitesAsocComisionMsgs"
                             oncomplete="statusDialog2.hide();"/>
            <p:spacer width="100" height="0" 
                      rendered="#{!tramitesDeComision.retirarTramiteButtonRendered}"/>

            <p:spacer width="100" height="0" />
            <p:spacer width="100" height="0" />
        </h:panelGrid>

        <p:spacer width="0" height="20"/>

        <p:outputPanel layout="block" style="text-align: right">
            <p:spacer width="20" height="0" />
            <p:commandButton value="Cerrar" icon="ui-icon-close"
                             onclick="#{thisWVNameParam}.hide();"
                             />

        </p:outputPanel>

    </h:panelGrid>

</h:form>
